import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MDLMeshBufferMap extends _NSObject {
    static alloc(): _MDLMeshBufferMap;
    static new(): _MDLMeshBufferMap;
    init(): _MDLMeshBufferMap;
    /**
     * @method initWithBytes:deallocator: @abstract Called by implementor of MDLMeshBuffer protocol to create the map and arrange for unmapping on deallocation.
     */
    initWithBytes$deallocator$(bytes: Uint8Array, deallocator: (() => void) | null): _MDLMeshBufferMap;
    /** @property bytes @abstract Mutable pointer to data in a MDLMeshBuffer object. */
    bytes(): NobjcObject;
}
